# Uses of Interface
java.lang.classfile.attribute.LocalVariableTableAttribute

Packages that use LocalVariableTableAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LocalVariableTableAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type LocalVariableTableAttribute
Modifier and Type
Method
Description
`static AttributeMapper<LocalVariableTableAttribute>`
Attributes.`localVariableTable()`
Returns the mapper for the `LocalVariableTable` attribute.

## Uses of LocalVariableTableAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type LocalVariableTableAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`LocalVariableTableAttribute`
Models the `LocalVariableTable` attribute (JVMS §4.7.13), which records debug information about local variables.
Methods in java.lang.classfile.attribute that return LocalVariableTableAttribute
Modifier and Type
Method
Description
`static LocalVariableTableAttribute`
LocalVariableTableAttribute.`of(List<LocalVariableInfo> locals)`
Returns a `LocalVariableTable` attribute.